capabilities              package:base              R Documentation

Report Capabilities of this Build of R

Description:

     Report on the optional features which have been compiled into this
     build of R.

Usage:

     capabilities(what = NULL)

Arguments:

    what: character vector or 'NULL', specifying required components. 
          'NULL' implies that all are required.

Value:

     A named logical vector. Current components are 

    jpeg: Is the 'jpeg' function operational?

     png: Is the 'png' function operational?

   tcltk: Is the 'tcltk' package operational?

     X11: (Unix)  Are 'X11' and the data editor available?

   GNOME: (Unix)  Is the GNOME GUI in use and are 'GTK' and 'GNOME'
          graphics devices available?

    libz: Is 'gzfile' available?  From R 1.5.0 this will always be
          true.

http/ftp: Are 'url' and the internal method for 'download.file'
          available?

 sockets: Are 'make.socket' and related functions available?

  libxml: Is there support for integrating 'libxml' with the R event
          loop?

  cledit: Is command-line editing available in the current R session? 
          This is false in non-interactive sessions. It will be true if
          'readline' supported has been compiled in and '--no-readline'
          was _not_ invoked. 

 IEEE754: Does this platform have IEEE 754 arithmetic?  Note that this
          is more correctly known by the international standard IEC
          60559.

   bzip2: Is 'bzfile' available?

    PCRE: Is the Perl-Compatible Regular Expression library available? 
          This is needed for the 'perl = TRUE' option to 'grep' are
          related function.

See Also:

     '.Platform'

Examples:

     capabilities()

     if(!capabilities("http/ftp"))
        warning("internal download.file() is not available")

     ## See also the examples for 'connections'.

